NOTMUCH-MUTT(1)

NAME
notmuch-mutt - notmuch (of a) helper for Mutt

SYNOPSIS

notmuch-mutt [OPTION]... search [SEARCH-TERM]...
notmuch-mutt [OPTION]... thread < MAIL
notmuch-mutt [OPTION]... tag [TAGS]... < MAIL

DESCRIPTION
notmuch-mutt is a frontend to the notmuch mail indexer capable of populating a maildir with search results.

OPTIONS

-o DIR
--output-dir DIR
    Store search results as (symlink) messages under maildir DIR. Beware: DIR will be overwritten. (Default: ~/.cache/notmuch/mutt/results/)

-p
--prompt
    Instead of using command line search terms, prompt the user for them (only for "search").

-r
--remove-dups
    Remove emails with duplicate message-ids from search results. (Passes --duplicate=1 to notmuch search command.) Note this can hide search results if an email accidentally or maliciously uses the same message-id as a different email.

-h
--help
    Show usage information and exit.

INTEGRATION WITH MUTT
notmuch-mutt can be used to integrate notmuch with the Mutt mail user agent (unsurprisingly, given the name). To that end, you should define macros like the following in your Mutt configuration (usually one of: ~/.muttrc, /etc/Muttrc, or a configuration snippet under /etc/Muttrc.d/):

    macro index <F8> \
    "<enter-command>set my_old_pipe_decode=\$pipe_decode my_old_wait_key=\$wait_key nopipe_decode nowait_key<enter>\
    <shell-escape>notmuch-mutt -r --prompt search<enter>\
    <change-folder-readonly>`echo ${XDG_CACHE_HOME:-$HOME/.cache}/notmuch/mutt/results`<enter>\
    <enter-command>set pipe_decode=\$my_old_pipe_decode wait_key=\$my_old_wait_key<enter>" \
          "notmuch: search mail"

    macro index <F9> \
    "<enter-command>set my_old_pipe_decode=\$pipe_decode my_old_wait_key=\$wait_key nopipe_decode nowait_key<enter>\
    <pipe-message>notmuch-mutt -r thread<enter>\
    <change-folder-readonly>`echo ${XDG_CACHE_HOME:-$HOME/.cache}/notmuch/mutt/results`<enter>\
    <enter-command>set pipe_decode=\$my_old_pipe_decode wait_key=\$my_old_wait_key<enter>" \
          "notmuch: reconstruct thread"

    macro index <F6> \
    "<enter-command>set my_old_pipe_decode=\$pipe_decode my_old_wait_key=\$wait_key nopipe_decode nowait_key<enter>\
    <pipe-message>notmuch-mutt tag -- -inbox<enter>\
    <enter-command>set pipe_decode=\$my_old_pipe_decode wait_key=\$my_old_wait_key<enter>" \
          "notmuch: remove message from inbox"

The first macro (activated by <F8>) prompts the user for notmuch search terms and then jump to a temporary maildir showing search results. The second macro (activated by <F9>) reconstructs the thread corresponding to the current mail and show it as search results. The third macro (activated by <F6>) removes the tag "inbox" from the current message; by changing "-inbox" this macro may be customised to add or remove tags appropriate to the users notmuch work-flow.

To keep notmuch index current you should then periodically run "notmuch new". Depending on your local mail setup, you might want to do that via cron, as a hook triggered by mail retrieval, etc.

SEE ALSO
mutt(1), notmuch(1)

AUTHOR
Copyright: (C) 2011-2012 Stefano Zacchiroli <zack@upsilon.cc>

License: GNU General Public License (GPL), version 3 or higher